%define upstream_name	 Audio-MPD-Common
%define upstream_version 2.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A bunch of common helper classes for mpd
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Depending on whether you're using a POE-aware environment or not, people
wanting to tinker with mpd (Music Player Daemon) will use either
POE::Component::Client::MPD or Audio::MPD.

But even if the run-cores of those two modules differ completely, they are
using the exact same common classes to represent the various mpd states and
information.

Therefore, those common classes have been outsourced to Audio::MPD::Common.

This module does not export any methods, but the dist provides the following
classes that you can query with perldoc:

o Audio::MPD::Common::Item
o Audio::MPD::Common::Item::Directory
o Audio::MPD::Common::Item::Playlist
o Audio::MPD::Common::Item::Song
o Audio::MPD::Common::Stats
o Audio::MPD::Common::Status
o Audio::MPD::Common::Time

Note that those modules should not be of any use outside the two mpd modules
afore-mentioned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Audio
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.3.0-6.mga10
+ Revision: 2207542
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.3.0-5.mga9
+ Revision: 1816990
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1492825
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.3.0-3.mga7
+ Revision: 1265706
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.3.0-2.mga6
+ Revision: 1022604
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.3.0-1.mga6
+ Revision: 1007358
- update to 2.003

* Mon Feb 08 2016 umeabot <umeabot> 2.2.0-5.mga6
+ Revision: 949926
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 790655
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 745164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 683562
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 sander85 <sander85> 2.2.0-1.mga5
+ Revision: 635645
- update to 2.002

* Tue Apr 15 2014 jquelin <jquelin> 2.0.0-1.mga5
+ Revision: 614606
- update to 2.000

* Fri Oct 18 2013 umeabot <umeabot> 1.120.881-3.mga4
+ Revision: 509153
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.881-2.mga3
+ Revision: 363233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.120.881-1.mga3
+ Revision: 254571
- update to 1.120881

* Mon Mar 05 2012 jquelin <jquelin> 1.120.610-1.mga2
+ Revision: 218648
- update to 1.120610

* Thu Feb 24 2011 jquelin <jquelin> 1.110.550-1.mga1
+ Revision: 58914
- update to 1.110550

* Wed Jan 26 2011 jquelin <jquelin> 1.100.430-1.mga1
+ Revision: 39980
- mageia rebuild
- imported package perl-Audio-MPD-Common


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.430-1mdv2010.1
+ Revision: 505265
- update to 1.100430

* Mon Nov 16 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.190-1mdv2010.1
+ Revision: 466464
- adding missing buildrequires
- update to 1.093190

* Fri Nov 13 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.170-1mdv2010.1
+ Revision: 465859
- update to 1.093170

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.120-1mdv2010.1
+ Revision: 462997
- update to 1.093120

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.910-1mdv2010.1
+ Revision: 461287
- adding missing buildrequires:
- update to 1.092910

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.1.4-2mdv2010.0
+ Revision: 440533
- rebuild

* Wed Jan 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 326532
- update to new version 0.1.4

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2009.1
+ Revision: 292027
- update to new version 0.1.3

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.1.2-3mdv2009.0
+ Revision: 255348
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 113404
- update to new version 0.1.2

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 46769
- import perl-Audio-MPD-Common


